Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchMessagesFilterUnreadMention

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.SearchMessagesFilter
it.tdlight.jni.TdApi.SearchMessagesFilterUnreadMention

Enclosing class:
  TdApi

public static final class TdApi.SearchMessagesFilterUnreadMention extends TdApi.SearchMessagesFilter
Returns only messages with unread mentions of the current user, or messages that are replies to their messages. When using this filter the results can't be additionally filtered by a query, a message thread or by the sending user.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`

## Constructor Summary

Constructors
Constructor
Description
`SearchMessagesFilterUnreadMention()`
Returns only messages with unread mentions of the current user, or messages that are replies to their messages.
`SearchMessagesFilterUnreadMention(DataInput input)`
Returns only messages with unread mentions of the current user, or messages that are replies to their messages.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SearchMessagesFilterUnreadMention

public SearchMessagesFilterUnreadMention()
Returns only messages with unread mentions of the current user, or messages that are replies to their messages. When using this filter the results can't be additionally filtered by a query, a message thread or by the sending user.

### SearchMessagesFilterUnreadMention

public SearchMessagesFilterUnreadMention(DataInput input) throws IOException
Returns only messages with unread mentions of the current user, or messages that are replies to their messages. When using this filter the results can't be additionally filtered by a query, a message thread or by the sending user.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`